Bug 481121 - "Summary and folder mismatch, even after a sync"
"Summary and folder mismatch, even after a sync"
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-22 04:25 EST by Tim Waugh
Modified: 2009-10-23 16:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-23 16:29:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 550414 None None None Never

  None (edit)
Description Tim Waugh 2009-01-22 04:25:04 EST
Description of problem:
Quite frequently I get this error dialog while fetching mail:

Error while Storing folder 'Inbox'.

Summary and folder mismatch, even after a sync

('Inbox' is a local folder.)

I am using spamassassin for junk mail detection in case that's relevant.

Version-Release number of selected component (if applicable):

How reproducible:
Happens at least every day.

Steps to Reproduce:
1.Fetch mail.  
Additional info:
Didn't happen until I updated to the updates-testing package.
Comment 1 Luca Foppiano 2009-01-22 04:42:06 EST
I don't have this problem, not everyday, it occurs rarely:

Are you using imap, pop, excahge or something else?
Are you using vfolders?
How many account do you have?

Comment 2 Tim Waugh 2009-01-22 04:55:50 EST
I have a local Inbox with a POP account, and I also have a set of IMAP folder (which are not affected by this problem).  I do have vfolders defined but I am not using them.
Comment 3 Milan Crha 2009-01-23 06:37:49 EST
There is an upstream effort to fix this issue, see [1]

[1] http://bugzilla.gnome.org/show_bug.cgi?id=550414
Comment 4 Mike Chambers 2009-03-07 10:22:37 EST
This seems to be fixed via upstream.  Can you verify it is indeed fixed and/or if you are having this problem still? 

Fedora Bugzappers volunteer triage team
Comment 5 SP 2009-04-17 15:04:00 EDT
I am having the same problem with Evolution.  Google search reveals that this has occured with other users many times in the past and has supposedly been resolved.  It started happening a few days ago after I was experimenting with VNC and checking my email in the VNC shell. It may be just a coincidence or it may be related.  I no longer use VNC - favouring freeNXserver instead - but the problem persists.  Deleting .evolution/mail/local/Inbox.ibex.index or Inbox.cmeta appears to temporarily resolve the problem - but it soon reoccurs.  Mail already received and read, or mail filtered to Junk, etc - reappears in the Inbox with an unread status.  I use POP to download email from my mail server.  I am using Spamassassin  both on the mail server and locally with Evolution.  I also use Bogofilter.  This would seem to be a problem of one index file getting corrupted - but which one?
Comment 6 SP 2009-04-18 13:45:10 EDT
I've tested this again.
Step 1. Delete .evolution/mail/local/Inbox.ibex.index and 
Inbox.cmeta appears to resolve the problem.
Step 2.  Use Evolution in a VNC or freeNXserver session and the problem reoccurs each time mail is fetched from the server:
>>Error while Storing folder 'Inbox'.
Summary and folder mismatch, even after a sync
Step 3. Disconnect or terminate VNC or nxserver shell and use Evolution in a normal session to download mail and the problem persists.

So it seems that this problem - at least in my case - is related to using Evolution in a VNC or NXserver shell.  I can only guess that this may have something to do with the way in which Evolution writes its indexes.  (Perhaps it has something to do with date/time?).  When these errors occur - mail that has previously be deleted or marked as junk - or manually filtered to other folders - will reappear in the In folder marked as unread.

How reproducible:
Happens at least every day.
Comment 7 SP 2009-04-19 16:29:26 EDT
This bug report seems to be turning into a soliloquy blog.  No response out there.  My problem with Evolution is getting worse and I an no longer sure that it is solely related to vncserver or nxserver use. For the record, I am currently running Fedora 10 with Gnome 2.24.3 and Evolution 2.24.5.
I deleted the contents of my junk folder while in a remote nxserver session.  Following that I now cannot empty the Trash folder - whether I am in an nxserver session or not.  "Error while storing folder'.#evolution/Junk.'"
If I quit Evolution and restart it - the deleted mail reappears in the Junk folder.  Would really appreciate some advice.
Comment 8 Milan Crha 2009-04-20 06:06:41 EDT
(In reply to comment #7)
> This bug report seems to be turning into a soliloquy blog.  No response out
> there.

Anything like the above really doesn't help... Not mentioning the weekend...

About the fix, there had been some code trying to fix the issue on the fly, but upstream decided to remove it, for some issue it was causing. I've no exact information what was that about, I'm sorry.

Did you read [1] please? There is no better way at the moment.

[1] http://www.go-evolution.org/FAQ#Why_do_I_get_an_error_.22Summary_and_folder_mismatch.2C_even_after_a_sync.22.3F
Comment 9 SP 2009-04-20 13:36:53 EDT
Yes - I had tried the recommendations in that link earlier, thanks.  That did not resolve the issue.  I should have read the link in Comment #3 above carefully:
[1] http://bugzilla.gnome.org/show_bug.cgi?id=550414 
Deleting folders.db in .evolution/mail/accounts did the trick, finally.
Now I do not get any sync errors either in a normal or a nxserver session.  I was also able to empty the Trash following this procedure.
I guess it is possible that disconnecting from a VNC session before Evolution completed updating its index may have corrupted the tables?
Comment 10 Milan Crha 2009-04-20 14:25:19 EDT
(In reply to comment #9)
> Deleting folders.db in .evolution/mail/accounts did the trick, finally.

Ouch, right, I forgot of that, it's a new .ev-summary equivalent.

> I guess it is possible that disconnecting from a VNC session before Evolution
> completed updating its index may have corrupted the tables?  

Sounds very likely to me.
Comment 11 Matthew Barnes 2009-10-23 12:19:03 EDT
Is this issue still present in Fedora 12?
Comment 12 Tim Waugh 2009-10-23 12:25:37 EDT
Haven't seen it.
Comment 13 Matthew Barnes 2009-10-23 16:29:39 EDT
Closing for now.  This is one of those bugs that's been haunting us on and off for years, so we'll see if it crops up again.

Note You need to log in before you can comment on or make changes to this bug.